PRO CMRC_LINEAR
;restore,'track.idl' & restore,'nrmrayse10_15.idl'
restore,'track.idl' 
;
;rm=4e4 & h=1.3 &lat=15 & cp= 96320 &c=-5
;
cc=fix(size(bear,/n_elements))
help,num
usnap=fltarr(61,61,cc) & vsnap=fltarr(61,61,cc) & zsnap=complexarr(61,61,cc)
flp=fltarr(61,61,cc)
d2usnap=fltarr(61,61,cc) & d2vsnap=fltarr(61,61,cc) 
;
nz=46
utest=fltarr(46,61,61,cc) & vtest=fltarr(46,61,61,cc)
d2utest=fltarr(46,61,61,cc) & d2vtest=fltarr(46,61,61,cc)
;
for i=0,cc-1 do begin &$
rm=rmx(i)*1000. &$
cp=cpr(i)*100 &$
lat=nlat(i) &$
c=spdms(i) &$
h=hdb(i) & print,'i  ',i &$
CMRC_PROCESS,rm,h,lat,cp,c,usf,vsf,us,vs,u,vv,ueth,veth,xkm,ykm &$
usnap(*,*,i)=usf(*,*) & vsnap(*,*,i)=vsf(*,*) & zsnap(*,*,i)=complex(usnap(*,*,i),vsnap(*,*,i))  &$
utest(*,*,*,i)=ueth & vtest(*,*,*,i)=veth &$
endfor
d2usnap=0.0*usnap & d2vsnap=0.0*vsnap
d2utest=0.0*utest & d2vtest=0.0*vtest
; flp is the correct wind field
for i=0,cc-1 do flp(*,*,i)=rot(sqrt(usnap(*,*,i)^2+vsnap(*,*,i)^2),bear(i)-90,/interp)
;
print,'****',size(usf),size(vsf)
; ************************ CONTOUR ********************************
restore,'colors1.idl' & tvlct,red,green,blue
set_plot,'ps',/copy
device,/close
device,xoffset=1,yoffset=3,ysize=20,/portrait,/color
!x.range=0 &!y.range=0 & !x.style=1 &!y.style=1
;
for i=0,cc-1 do begin &$
;%plot surface wind in moving coordinate system
device,filename='stationary_coordinate'+strcompress(i,/REMOVE_ALL)+'.ps' &$
contour,2.2369*sqrt(us^2+vs^2),xkm,ykm,levels=5*indgen(33),c_color=colors,/fill,title='stationary coordinate system...',c_charsize=1.0 &$
contour,2.2369*sqrt(us^2+vs^2),xkm,ykm,levels=5*indgen(33),/follow,/overplot,thick=2 &$
device,/close &$
;contour,2.2369*sqrt(utest(0,*,*)^2+vtest(0,*,*)^2),xkm,ykm,levels=5*indgen(33),c_color=colors,/fill,title='stationary coordinate system...',c_charsize=1.0 &$
;contour,sqrt(utest(0,*,*)^2+vtest(0,*,*)^2),xkm,ykm,levels=5*indgen(33),/follow,/overplot,thick=2 &$
;%plot surface wind in stationnary  coordinate system
device,filename='moving_coordinate'+strcompress(i,/REMOVE_ALL)+'.ps' &$
contour,2.2369*flp(*,*,i),xkm,ykm,levels=5*indgen(33),c_color=colors,/fill,title='moving coordinate system...',c_charsize=1.0  &$
contour,2.2369*flp(*,*,i),xkm,ykm,levels=5*indgen(33),/follow,/overplot,thick=2 &$
device,/close &$
endfor
; ************************ CONTOUR ********************************
;let's try this
pixa=61 & pixr=61 & xnstre=xkm & ynstre=ykm
;
print,'OUT CMRC_LINEAR.....'
save,d2usnap,d2vsnap,day,elon,elonk,entries,ktime,lsflg,nlat,nlatk,pixa,pixr,rmwk,rmx,string,$
usnap,vsnap,xnstre,ynstre,zhour,zmin,zsnap,utest,vtest,d2vtest,d2utest,filename='fixshots.idl'
save,bear,flp,usf,vsf,us,vs,xkm,ykm,filename='ba.idl'
save,xkm,ykm,usnap,vsnap,utest,vtest,d2utest,d2vtest,filename='test3d.idl'

END; CMRC_LINEAR 
